# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions

# vl::VLXRawtextBlock Class Reference

A block of raw text. More...

`#include <VLXValue.hpp>`

Inheritance diagram for vl::VLXRawtextBlock:

List of all members.

## Public Member Functions

| VLXRawtextBlock (const char *tag=NULL, const char *value=NULL)
virtual void | acceptVisitor (VLXVisitor *v)
std::string & | value ()
const std::string & | value () const
void | setValue (const char *value)

## Detailed Description

A block of raw text.

Definition at line 70 of file VLXValue.hpp.

## Constructor & Destructor Documentation

vl::VLXRawtextBlock::VLXRawtextBlock | ( | const char * | tag = `NULL`,
|  | const char * | value = `NULL`
| ) |  | `[inline]`

Definition at line 75 of file VLXValue.hpp.

References value().

## Member Function Documentation

virtual void vl::VLXRawtextBlock::acceptVisitor | ( | VLXVisitor * | v ) | `[inline, virtual]`

Implements vl::VLXTaggedValue.

Definition at line 81 of file VLXValue.hpp.

References vl::VLXVisitor::visitRawtextBlock().

std::string& vl::VLXRawtextBlock::value | ( | ) | `[inline]`

Definition at line 83 of file VLXValue.hpp.

Referenced by vl::VLXClassWrapper_GLSLShader::importGLSLShader(), setValue(), vl::VLXVisitorExportToVLT::visitValue(), VLXRawtextBlock(), and vl::VLXVisitorExportToVLB::writeValue().

const std::string& vl::VLXRawtextBlock::value | ( | ) | const`[inline]`

Definition at line 85 of file VLXValue.hpp.

void vl::VLXRawtextBlock::setValue | ( | const char * | value ) | `[inline]`

Definition at line 87 of file VLXValue.hpp.

References value().

Referenced by vl::VLXParserVLT::parseList(), vl::VLXParserVLT::parseStructure(), and vl::VLXParserVLB::readValue().

The documentation for this class was generated from the following file:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlCore/VLXValue.hpp

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:44:18.
Permission is granted to use this page to write and publish articles regarding Visualization Library.